#include <cmath>
#include <iostream>
#include "complexe.hpp"
#include "polynome.hpp"
#include "rationnel.hpp"
#include "lagrange.hpp"
#include "orthogonaux.hpp"

using namespace std;

int main (){


  double points[3]={-0.1,0.0,0.1};
  double fm, f0, fp, fref;
  fm = sin(-0.1);
  f0 = sin(0.0);
  fp = sin(0.1);
  fref= sin(-0.027);
  
  double fpoints[3]={fm,f0,fp};

  lagrange<double> p(3);

  p.add_points(points,3);
  p.add_fpoints(fpoints,3);

  p.construct();
  cout<<" Polynome d'interpolation: "<<p<<endl;
  cout<< "Erreur : "<<abs(fref-p(-0.027))<<endl;

  orthogonaux<double> p2(3,2,1);
  
    
  return 0;
};

