#include <cmath>
#include <iostream>
#include "complexe.hpp"
#include "complexe2.hpp"

using namespace std;

int main (){
  cout << " >>>>>>> Heritage >>>>>< "<<endl;
  comp_unite cu(0.5);
  cout<<cu<<endl;
  comp_unite cu2(cu);
  cout<<cu2<<endl;

  
  complexe c,c2;
  comp_unite cu3; 
  c = cu +cu2;
  cout<<"module de c: "<<c.module()<<endl;

  cu3 = cu;
  cout<<"valeur des comp_unite: "<<cu<<" "<<cu3<<endl;
  cu3.modify_theta(0.6);
  cout<<"valeur des comp_unite: "<<cu<<" "<<cu3<<endl;
  c.module();
  bool res;
  res = (cu==c);
  cu3.module();
  bool res2;
  res2 = (cu==cu3);


  cu3 = cu2 * cu;
  c2 = c * cu; 


  cu.modify_reel(4.0);
  bool res3;
  res3 = (cu==c);
  cout<<" cu :"<<cu<<" res:"<<res<<endl;

  complexe d1(1.0,2.0);
  comp_unite d2(0.2);
  complexe * pc1 = &d1;
  complexe * pc2 = &d1;
  comp_unite * pcu = &d2;
  pc1 = pcu;
  pcu = ( comp_unite *) pc2;


  cout << " >>>>>>> Heritage 2>>>>>< "<<endl;
  comp_unite2 du(0.5);
  // cout<<cu<<endl;
  comp_unite2 du2(du);
  //cout<<cu2<<endl;
  complexe2 d,d3;
  comp_unite2 du3; 
  d = du +du2;
  cout<<"module de d: "<<d.module()<<endl;

  du3 = du;
  cout<<"valeur des comp_unite: "<<du<<" "<<du3<<endl;
  du3.modify_theta(0.6);
  cout<<"valeur des comp_unite: "<<du<<" "<<du3<<endl;

  du3 = du2 * du;
  d3 = d * du; 

  du.modify_reel(4.0);
  double r2=0;
  r2 = du.module();
  bool res23;
  res23 = (du==d);
  cout<<" du :"<<du<<" res:"<<res<<endl;

  complexe2 e1(1.0,2.0);
  comp_unite2 e2(0.2);
  complexe2 * pe1 = &e1;
  complexe2 * pe2 = &e1;
  comp_unite2 * peu = &e2;
  pe1 = peu;
  peu = ( comp_unite2 *) pe2;
  
  return 0;
};

